/* nasty */

input[type="text"],
input[type="number"],
input[type="email"],
input[type="tel"],
input[type="date"],
input[type="password"],
select {
	border-radius: 5px;
	padding: 10px 15px;
	border: 1px solid rgba(129, 129, 129, 0.4);
}
.wpcf7-submit {
	color: #ffffff !important;
	border-width: 10px !important;
	border-color: rgba(0, 0, 0, 0);
	border-radius: 0px;
	letter-spacing: 2px;
	font-size: 12px;
	font-weight: 800 !important;
	text-transform: uppercase !important;
	background-color: #420063 !important;
}

.vista-normal input[type="text"],
.vista-normal input[type="number"],
.vista-normal input[type="email"],
.vista-normal input[type="tel"],
.vista-normal input[type="date"],
.vista-normal input[type="password"],
.vista-normal select {
	background-color: #e9ffde;
}

.datos {
	box-sizing: border-box;
	/* border: 1px solid rgba(255,255,255,.1); */
	margin-top: 7px;
}

.datos label {
	margin-top: 5px;
	padding-left: 5px;
	display: block;
}

.datos .full {
	box-sizing: border-box;
	width: 100%;
}

.inputResaltar {
	border: 3px solid yellow !important;
}

/* imagenes */
.grid-imagenes {
	display: flex;
	flex-wrap: wrap;
}

.grid-imagenes a {
	flex-basis: 20%;
	box-sizing: border-box;
}

.grid-imagenes a:first-child {
	flex-basis: 100%;
}

.grid-imagenes img {
	width: 100%;
	height: auto;
}

/*-FORM Movimiento de campos*/
.dragg-contenedor {
	box-sizing: border-box;
	position: relative;
	.segmento {
		box-sizing: border-box;
		display: inline-block;
		user-select: none;
		min-height: 30px;
		min-width: 50px;
		position: absolute;
		padding: 5px;
		z-index: 1;
	}
}
.dragg-contenedor::after {
	content: "";
	display: table;
	clear: both;
}
/*Cuando se mueve el campo*/
.drag {
	cursor: move;
	background-color: rgba(125, 120, 100, 0.1);
}

.segmento input[type="text"],
.segmento input[type="number"],
.segmento input[type="email"],
.segmento input[type="tel"],
.segmento input[type="date"],
.segmento input[type="password"],
.segmento select {
	background-color: #e9ffde;
}

/* Estilo base del checkbox oculto */
.toggle input {
	display: none;
}

/* Estilo del slider (el botón que se mueve) */
.toggle .slider {
	position: relative;
	display: inline-block;
	width: 50px;
	height: 26px;
	background-color: #ccc;
	border-radius: 13px;
	transition: background-color 0.3s;
}

/* Estilo del círculo (el botón que se mueve) */
.toggle .slider::before {
	content: "";
	position: absolute;
	width: 22px;
	height: 22px;
	border-radius: 50%;
	background-color: white;
	top: 2px;
	left: 2px;
	transition: transform 0.3s;
}

/* Cambiar color de fondo cuando el toggle está activado */
.toggle input:checked + .slider {
	background-color: #2196f3;
}

/* Mover el círculo hacia la derecha cuando el toggle está activado */
.toggle input:checked + .slider::before {
	transform: translateX(24px);
}

/* TABULATOR - GRID */
.tabulator-col-title {
	text-align: center;
}
.tabulator-footer {
	background-color: #494949 !important;
	color: #fdfdfd !important;
}
.tabulator-footer a {
	color: #fff;
}
.tabulator-calcs {
	color: #000;
}
.tabulator-row .tabulator-editable {
	background-color: #e9ffde !important;
}

.front .precio,
.front i {
	color: #ff5733;
}
/* botstrap necesario */
.text-regular {
	font-weight: 400;
	font-size: 20px;
}
.text-center {
	text-align: center;
}
.row {
	box-sizing: border-box;
	display: flex;
	flex-wrap: wrap;
}
.row p {
	padding: 0;
	margin: 0;
}
.linea {
	padding: 3px 5px;
}
.campo {
	display: inline-block;
	vertical-align: middle;
}
.row .linea:nth-child(odd) {
	background-color: #f7f7f7;
}

/* (xs) */
.col-xs-12 {
	box-sizing: border-box;
	width: 100%;
	padding-right: 15px;
	padding-left: 15px;
	margin-top: 10px;
}
.col-xs-6 {
	box-sizing: border-box;
	flex: 0 0 50%;
	max-width: 50%;
	padding-right: 15px;
	padding-left: 15px;
	margin-top: 10px;
}

/*(sm) */
@media (min-width: 576px) {
	.col-sm-4 {
		box-sizing: border-box;
		flex: 0 0 33%;
		max-width: 33%;
		padding-right: 15px;
		padding-left: 15px;
	}
	.col-sm-6 {
		box-sizing: border-box;
		flex: 0 0 50%;
		max-width: 50%;
		padding-right: 15px;
		padding-left: 15px;
	}
	.col-sm-12 {
		box-sizing: border-box;
		width: 100%;
		padding-right: 15px;
		padding-left: 15px;
	}
}

/*(md) */
@media (min-width: 768px) {
	.col-md-2 {
		box-sizing: border-box;
		flex: 0 0 16.666666666667%;
		max-width: 16.666666666667%;
		padding-right: 15px;
		padding-left: 15px;
	}

	.col-md-3 {
		box-sizing: border-box;
		flex: 0 0 25%;
		max-width: 25%;
		padding-right: 15px;
		padding-left: 15px;
	}
	.col-md-6 {
		box-sizing: border-box;
		flex: 0 0 50%;
		max-width: 50%;
		padding-right: 15px;
		padding-left: 15px;
	}
}
/*(lg) */
@media (min-width: 992px) {
}

/* Clases de padding */
.pad-1 {
	padding: 0.25rem !important;
}

.pad-2 {
	padding: 0.5rem !important;
}

.pad-3 {
	padding: 1rem !important;
}

.pad-4 {
	padding: 1.5rem !important;
}

.pad-5 {
	padding: 2rem !important;
}

.section-sm {
	padding-top: 1rem;
	padding-bottom: 1rem;
}
.valor {
	color: #0092aa;
}

.cabecera {
	padding-top: 3rem;
	padding-bottom: 3rem;
	background-image: url(https://intasaburgos.es/cabecera.jpg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
}
.cabecera h2 {
	color: #fff;
	color: 32px;
}
.cabecera h2:after,
.cabecera h2:before {
	background-color: rgba(255, 255, 255, 0);
}

/*-->FIN botstrap necesario */

#map {
	height: 400px;
	width: 100%;
}

.form-group {
	display: inline-block;
	width: 300px;
	padding: 3px 5px;
}
.form-group select {
	width: 95%;
}

#rango-precio {
	margin: 20px;
}

.ui-slider {
	position: relative;
	height: 20px;
	background-color: #ddd;
	border-radius: 0 !important;
	border: 0 !important;
}

.ui-slider-range {
	position: absolute;
	top: 20%;
	height: 50%;
	border-radius: 0 !important;
	background-color: #4caf50;
}

.ui-slider-handle {
	position: absolute;
	height: 16px;
	background-color: #333; /* Color de la línea */
	transform: translateY(-50%);
	cursor: pointer;
}

.ui-slider-handle::before {
	content: "";
	position: absolute;
	width: 24px; /* Diámetro del círculo */
	height: 24px;
	background-color: #ff5733; /* Color del círculo */
	border-radius: 50%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	cursor: pointer;
}

.ui-slider-handle:first-of-type {
	left: 0;
}

.ui-slider-handle:last-of-type {
	left: 0;
}

.rd-range-input-value {
	width: 120px;
	text-align: center;
}

.form-inline-flex-xs {
	display: flex;
	align-items: center;
	justify-content: space-evenly;
}

.text-abbey {
	color: #333;
	margin: 0 5px;
}

.dash::before {
	content: "—";
}
/* lista de imbuebles en busqueda */
.inmueble-lista {
	border: 1px solid #ff5733;
	margin: 5px 0;
	cursor: pointer;
	box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.34);
	-webkit-box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.34);
	-moz-box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.34);
	&:focus-within {
		background-color: #ffffeb;
	}
	:hover {
		background-color: #ffffeb;
	}
	.des {
		display: -webkit-box;
		-webkit-box-orient: vertical;
		overflow: hidden;
		-webkit-line-clamp: 2;
		color: #494949;
	}
	button {
		color: #ffffff !important;
		border: 0;
		border-radius: 20px;
		letter-spacing: 2px;
		font-size: 12px;
		font-weight: 800 !important;
		text-transform: uppercase !important;
		background-color: #420063 !important;
	}
}

.inmueble-lista img {
	min-width: 100%;
	height: 300px;
	object-fit: cover;
	vertical-align: middle;
}
.buscador {
	position: relative;
	top: -100px;
	-webkit-box-shadow: 0px 7px 15px -5px rgba(0, 0, 0, 0.33);
	-moz-box-shadow: 0px 7px 15px -5px rgba(0, 0, 0, 0.33);
	box-shadow: 0px 7px 15px -5px rgba(0, 0, 0, 0.33);
	padding: 10px;
	border-radius: 5px;
	text-align: center;
}
.actual {
	background-color: #494949;
}
.fijar {
	position: sticky;
	bottom: 0;
	z-index: 999;
	background-color: rgba(255, 255, 255, 0.6);
	backdrop-filter: blur(10px);
	text-align: center;
	padding: 1px;
	border-top: 1px solid #ff5733;

	button {
		font-size: 12px;
		padding: 5px 7px;

		@media (min-width: 576px) {
			font-size: 16px;
			padding: 7px 12px;
		}
	}
}
.centrar {
	display: flex;
	justify-content: center;
	align-items: center;
}
